Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.search
Class SearchEngineProcessor

    java.lang.Object
      org.modeshape.graph.request.processor.RequestProcessor
          org.modeshape.graph.search.SearchEngineProcessor

Direct Known Subclasses:
  AbstractLuceneSearchEngine.AbstractLuceneProcessor

    public abstract class SearchEngineProcessor

extends RequestProcessor

The processor that is created by the provider whenever a logical set of activities needs to be performed.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.graph.request.processor.RequestProcessor
`RequestProcessor.LocationWithDepth`

Field Summary
`protected boolean` | `rollback`

Constructor Summary
`protected` | `SearchEngineProcessor(String sourceName, ExecutionContext context, Observer observer, DateTime now)`

Method Summary
`void` | `close()` Close this processor, allowing it to clean up any open resources.
`protected abstract void` | `commit()` Subclasses should implement this method to commit and save any work that has been done with this processor.
`void` | `markForRollback()`
`protected abstract void` | `rollback()` Subclasses should implement this method to throw away any work that has been done with this processor.

Methods inherited from class org.modeshape.graph.request.processor.RequestProcessor
`absoluteMaximumDepthForBranchReads, completeRequest, getChanges, getDefaultCachePolicy, getExecutionContext, getNowInUtc, getSourceName, includeChildrenInSubgraph, notifyObserverOfChanges, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, process, processUnknownRequest, recordChange, setCacheableInfo, setCacheableInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rollback

    protected boolean rollback

Constructor Detail

### SearchEngineProcessor

    protected SearchEngineProcessor(String sourceName,
                                    ExecutionContext context,
                                    Observer observer,
                                    DateTime now)

Parameters:
  `sourceName` -
  `context` -
  `observer` -
  `now` -

Method Detail

### markForRollback

    public void markForRollback()

### close

    public void close()

  Close this processor, allowing it to clean up any open resources.

  Overrides:
    `close` in class `RequestProcessor`
  See Also:
    `RequestProcessor.close()`

### rollback

    protected abstract void rollback()

  Subclasses should implement this method to throw away any work that has been done with this processor.

### commit

    protected abstract void commit()

  Subclasses should implement this method to commit and save any work that has been done with this processor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.